使用npm安装 element ui的相关依赖后,在启动时出现 Uncaught ReferenceError: __DEV__ is not defined,不知如何解决?
发布于 5 年前 作者 Bob-huang-gdut 6110 次浏览 来自 问答

使用npm安装 element ui的相关依赖后,在启动时出现 Uncaught ReferenceError: DEV is not defined,不知如何解决? 之前的依赖是没问题,后来重新安装依赖后就报了这个问题,各位兄弟怎么看? 微信截图_20171109193243.png 微信截图_20171109193315.png

5 回复

本人小白,不知道是不是饿了么的更新出了问题,下面是有使用element-ui(vue )的github项目,同样不行。 https://github.com/vue-bulma/vue-admin https://github.com/Bob-huang-gdut/vue-manager

我今天也碰到了同样的问题,还在研究中…

echarts最新版本的问题,https://github.com/ecomfe/echarts/issues/6111 我的项目已经解决,在webpack中增加一个环境变量就可以了

new webpack.DefinePlugin({
      __DEV__: false,
      'process.env': config.dev.env
})

@div-wang 我试试看,非常感谢。

@div-wang 可以了,非常感謝

回到顶部